Subject: Mycology Definitive bible or Key

From: [email-masked] (Jeb Howell)
Date: Thu, 6 Apr 1995 21:12:08 -0400

I am not a mushroom person, but my brother has a keen interest in the subject, 
and would like me to inquire of the group if there is a single best reference 
book about the culture of and identification of North American mushrooms. Any 
input would be appreciated. My email address is [email-masked].

THANKS MUCHLY!!!